plugins {
    id 'com.android.library'
}

android {
    compileSdk 31

    defaultConfig {
        minSdk 21
        targetSdk 31

         consumerProguardFiles "consumer-rules.pro"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_7
        targetCompatibility JavaVersion.VERSION_1_7
    }
}

dependencies {



    compileOnly files('../oppo/libs/core-1.1.0.aar')

    compileOnly files('../oppo/libs/gamesdk-20220310.aar')

    compileOnly files('../oppo/libs/gamesdk-common-20220310.aar')


    compileOnly files('../oppo/libs/oaid_sdk_1.0.25.aar')



    compileOnly project(':library_base')

    compileOnly project(':library_core')


    compileOnly project(':library_channel')





}